import 'package:tm_app/data/services/model/company_profile_response/company_profile_response.dart';
import 'package:tm_app/data/services/profile_service.dart';

import '../../core/utils/result.dart';
import '../services/model/profile_response/profile_response.dart';

class ProfileRepository {
  ProfileRepository({required ProfileService profileService})
    : _profileService = profileService;
  final ProfileService _profileService;

  Future<Result<ProfileResponse>> getProfile() async {
    return _profileService.getProfile();
  }

  Future<Result<CompanyProfileResponse>> getCompanyProfile() {
    return _profileService.getCompanyProfile();
  }
}
